diff --git a/public/assets/NOTICES b/public/assets/NOTICES
index 6d410265c3d7..2d899170dec2 100644
--- a/public/assets/NOTICES
+++ b/public/assets/NOTICES
@@ -14719,227 +31612,6 @@ POSSIBILITY OF SUCH DAMAGE.
 --------------------------------------------------------------------------------
 libjpeg-turbo
 
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-
-Based on the x86 SIMD extension for IJG JPEG library
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
-
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-
-Based on the x86 SIMD extension for IJG JPEG library,
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
-
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2009, D. R. Commander.
-
-Based on the x86 SIMD extension for IJG JPEG library
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
-
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2009-2011, 2013-2014, 2016, D. R. Commander.
-Copyright (C) 2015, Matthieu Darbois.
-
-Based on the x86 SIMD extension for IJG JPEG library,
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
-
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2009-2011, 2013-2014, 2016, D. R. Commander.
-Copyright (C) 2015-2016, Matthieu Darbois.
-
-Based on the x86 SIMD extension for IJG JPEG library,
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
-
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2009-2011, 2014, 2016, D. R. Commander.
-Copyright (C) 2015, Matthieu Darbois.
-
-Based on the x86 SIMD extension for IJG JPEG library,
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
-
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2009-2011, 2014, D. R. Commander.
-Copyright (C) 2013-2014, MIPS Technologies, Inc., California.
-Copyright (C) 2015, Matthieu Darbois.
-
-Based on the x86 SIMD extension for IJG JPEG library,
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
-
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2009-2011, 2014, D. R. Commander.
-Copyright (C) 2015, Matthieu Darbois.
-
-Based on the x86 SIMD extension for IJG JPEG library,
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
-
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2009-2011, 2014-2015, D. R. Commander.
-Copyright (C) 2015, Matthieu Darbois.
-
-Based on the x86 SIMD extension for IJG JPEG library,
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
-
 Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
 Copyright (C) 2010, D. R. Commander.
 
@@ -14965,127 +31637,101 @@ freely, subject to the following restrictions:
 --------------------------------------------------------------------------------
 libjpeg-turbo
 
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2011, 2014, D. R. Commander.
-Copyright (C) 2015, Matthieu Darbois.
-
-Based on the x86 SIMD extension for IJG JPEG library,
-Copyright (C) 1999-2006, MIYASAKA Masaru.
-
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
-
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
-
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
+We are also required to state that
+   "The Graphics Interchange Format(c) is the Copyright property of
+   CompuServe Incorporated. GIF(sm) is a Service Mark property of
+   CompuServe Incorporated."
 --------------------------------------------------------------------------------
 libjpeg-turbo
 
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2011, 2014-2016, D. R. Commander.
-Copyright (C) 2013-2014, MIPS Technologies, Inc., California.
-Copyright (C) 2014, Linaro Limited.
-Copyright (C) 2015-2016, Matthieu Darbois.
+libjpeg-turbo Licenses
+======================
 
-Based on the x86 SIMD extension for IJG JPEG library,
-Copyright (C) 1999-2006, MIYASAKA Masaru.
+libjpeg-turbo is covered by three compatible BSD-style open source licenses:
 
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
+- The IJG (Independent JPEG Group) License, which is listed in
+  [README.ijg](README.ijg)
 
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
+  This license applies to the libjpeg API library and associated programs
+  (any code inherited from libjpeg, and any modifications to that code.)
 
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
+- The Modified (3-clause) BSD License, which is listed in
+  [turbojpeg.c](turbojpeg.c)
 
-Copyright 2009 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2011, D. R. Commander.
+  This license covers the TurboJPEG API library and associated programs.
 
-Based on the x86 SIMD extension for IJG JPEG library
-Copyright (C) 1999-2006, MIYASAKA Masaru.
+- The zlib License, which is listed in [simd/jsimdext.inc](simd/jsimdext.inc)
 
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
+  This license is a subset of the other two, and it covers the libjpeg-turbo
+  SIMD extensions.
 
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
 
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
+Complying with the libjpeg-turbo Licenses
+=========================================
 
-Copyright 2009, 2012 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2009, 2012, D. R. Commander.
+This section provides a roll-up of the libjpeg-turbo licensing terms, to the
+best of our understanding.
 
-Based on the x86 SIMD extension for IJG JPEG library
-Copyright (C) 1999-2006, MIYASAKA Masaru.
+1.  If you are distributing a modified version of the libjpeg-turbo source,
+    then:
 
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
+    1.  You cannot alter or remove any existing copyright or license notices
+        from the source.
 
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
+        **Origin**
+        - Clause 1 of the IJG License
+        - Clause 1 of the Modified BSD License
+        - Clauses 1 and 3 of the zlib License
 
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
---------------------------------------------------------------------------------
-libjpeg-turbo
+    2.  You must add your own copyright notice to the header of each source
+        file you modified, so others can tell that you modified that file (if
+        there is not an existing copyright header in that file, then you can
+        simply add a notice stating that you modified the file.)
 
-Copyright 2009, 2012 Pierre Ossman <ossman@cendio.se> for Cendio AB
-Copyright (C) 2012, D. R. Commander.
+        **Origin**
+        - Clause 1 of the IJG License
+        - Clause 2 of the zlib License
 
-Based on the x86 SIMD extension for IJG JPEG library
-Copyright (C) 1999-2006, MIYASAKA Masaru.
+    3.  You must include the IJG README file, and you must not alter any of the
+        copyright or license text in that file.
 
-This software is provided 'as-is', without any express or implied
-warranty.  In no event will the authors be held liable for any damages
-arising from the use of this software.
+        **Origin**
+        - Clause 1 of the IJG License
 
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it
-freely, subject to the following restrictions:
+2.  If you are distributing only libjpeg-turbo binaries without the source, or
+    if you are distributing an application that statically links with
+    libjpeg-turbo, then:
 
-1. The origin of this software must not be misrepresented; you must not
-   claim that you wrote the original software. If you use this software
-   in a product, an acknowledgment in the product documentation would be
-   appreciated but is not required.
-2. Altered source versions must be plainly marked as such, and must not be
-   misrepresented as being the original software.
-3. This notice may not be removed or altered from any source distribution.
+    1.  Your product documentation must include a message stating:
+
+        This software is based in part on the work of the Independent JPEG
+        Group.
+
+        **Origin**
+        - Clause 2 of the IJG license
+
+    2.  If your binary distribution includes or uses the TurboJPEG API, then
+        your product documentation must include the text of the Modified BSD
+        License.
+
+        **Origin**
+        - Clause 2 of the Modified BSD License
+
+3.  You cannot use the name of the IJG or The libjpeg-turbo Project or the
+    contributors thereof in advertising, publicity, etc.
+
+    **Origin**
+    - IJG License
+    - Clause 3 of the Modified BSD License
+
+4.  The IJG and The libjpeg-turbo Project do not warrant libjpeg-turbo to be
+    free of defects, nor do we accept any liability for undesirable
+    consequences resulting from your use of the software.
+
+    **Origin**
+    - IJG License
+    - Modified BSD License
+    - zlib License
 --------------------------------------------------------------------------------
 libjpeg-turbo
 
@@ -15095,6 +31741,7 @@ sections, and to remove impolitic language that existed in the libjpeg v8
 README.  It is included only for reference.  Please see README.md for
 information specific to libjpeg-turbo.
 
+
 The Independent JPEG Group's JPEG software
 ==========================================
 
@@ -15110,6 +31757,7 @@ and other members of the Independent JPEG Group.
 IJG is not affiliated with the ISO/IEC JTC1/SC29/WG1 standards committee
 (also known as JPEG, together with ITU-T SG16).
 
+
 DOCUMENTATION ROADMAP
 =====================
 
@@ -15144,6 +31792,7 @@ If you want to understand how the JPEG code works, we suggest reading one or
 more of the REFERENCES, then looking at the documentation files (in roughly
 the order listed) before diving into the code.
 
+
 OVERVIEW
 ========
 
@@ -15196,6 +31845,7 @@ We welcome the use of this software as a component of commercial products.
 No royalty is required, but we do ask for an acknowledgement in product
 documentation, as described under LEGAL ISSUES.
 
+
 LEGAL ISSUES
 ============
 
@@ -15245,6 +31895,7 @@ We specifically permit and encourage the use of this software as the basis of
 commercial products, provided that all warranty or liability claims are
 assumed by the product vendor.
 
+
 The Unix configuration script "configure" was produced with GNU Autoconf.
 It is copyright by the Free Software Foundation but is freely distributable.
 The same holds for its supporting scripts (config.guess, config.sub,
@@ -15263,6 +31914,7 @@ We are required to state that
     CompuServe Incorporated.  GIF(sm) is a Service Mark property of
     CompuServe Incorporated."
 
+
 REFERENCES
 ==========
 
@@ -15270,8 +31922,8 @@ We recommend reading one or more of these references before trying to
 understand the innards of the JPEG software.
 
 The best short technical introduction to the JPEG compression algorithm is
-	Wallace, Gregory K.  "The JPEG Still Picture Compression Standard",
-	Communications of the ACM, April 1991 (vol. 34 no. 4), pp. 30-44.
+    Wallace, Gregory K.  "The JPEG Still Picture Compression Standard",
+    Communications of the ACM, April 1991 (vol. 34 no. 4), pp. 30-44.
 (Adjacent articles in that issue discuss MPEG motion picture compression,
 applications of JPEG, and related topics.)  If you don't have the CACM issue
 handy, a PDF file containing a revised version of Wallace's article is
@@ -15325,6 +31977,7 @@ of the TIFF spec will replace the 6.0 JPEG design with the Note's design.
 Although IJG's own code does not support TIFF/JPEG, the free libtiff library
 uses our library to implement TIFF/JPEG per the Note.
 
+
 ARCHIVE LOCATIONS
 =================
 
@@ -15334,13 +31987,14 @@ directory "files".
 
 The JPEG FAQ (Frequently Asked Questions) article is a source of some
 general information about JPEG.
-It is available on the World Wide Web at http://www.faqs.org/faqs/jpeg-faq
+It is available on the World Wide Web at http://www.faqs.org/faqs/jpeg-faq/
 and other news.answers archive sites, including the official news.answers
 archive at rtfm.mit.edu: ftp://rtfm.mit.edu/pub/usenet/news.answers/jpeg-faq/.
 If you don't have Web or FTP access, send e-mail to mail-server@rtfm.mit.edu
 with body
-	send usenet/news.answers/jpeg-faq/part1
-	send usenet/news.answers/jpeg-faq/part2
+    send usenet/news.answers/jpeg-faq/part1
+    send usenet/news.answers/jpeg-faq/part2
+
 
 FILE FORMAT WARS
 ================
